Loading...
Searching...
No Matches
topology.cpp File Reference
`#include "mfem.hpp"`
`#include <vector>`
`#include <memory>`
`#include "stroid/config/config.h"`
`#include "fourdst/config/config.h"`
Include dependency graph for topology.cpp:

## Namespaces

namespace | stroid
namespace | stroid::topology

## Functions

std::unique_ptr< mfem::Mesh > | stroid::topology::BuildSkeleton (const fourdst::config::Config< config::MeshConfig > &config)
| Build the initial multi-block mesh topology for the star model.
void | stroid::topology::Finalize (mfem::Mesh &mesh, const fourdst::config::Config< config::MeshConfig > &config)
| Finalize topology, validate orientation, and apply uniform refinement.